%define section   free
%define base_name commons-betwixt

Name:           jakarta-%{base_name}
Version:        1.0
Release:        0.alpha1.1jpp
Epoch:          0
Summary:        Java bean to XML mapping library

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://jakarta.apache.org/commons/betwixt/
Source0:        http://archive.apache.org/dist/jakarta/commons/betwixt/source/commons-betwixt-1.0-alpha-1-src.tar.gz
Patch0:         %{name}-crosslink.patch
Patch1:         %{name}-version.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5, ant >= 0:1.5, ant-optional >= 0:1.5
BuildRequires:  junit >= 0:3.8.1, jakarta-commons-logging >= 0:1.0.2
BuildRequires:  jakarta-commons-digester >= 0:1.5
BuildRequires:  jakarta-commons-collections >= 0:2.1
BuildRequires:  jakarta-commons-beanutils >= 0:1.6.1
Requires:       jakarta-commons-logging >= 0:1.0.2
Requires:       jakarta-commons-digester >= 0:1.5
Requires:       jakarta-commons-beanutils >= 0:1.6.1
Requires:       jakarta-commons-collections >= 0:2.1

%description
The Betwixt library provides an XML introspection mechanism for
mapping beans to XML in a flexible way. It is implemented using an
XMLIntrospector and XMLBeanInfo classes which are similar to the
standard Introspector and BeanInfo from the Java Beans specification.
Betwixt provides a way of turning beans into XML as well as
automatically generating digester rules in a way that can be
customized on a per type manner in the same way that the BeanInfo
mechanism can be used to customize the default introspection on a java
object.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
BuildRequires:  java-javadoc, jakarta-commons-collections-javadoc >= 0:2.1
BuildRequires:  jakarta-commons-logging-javadoc >= 0:1.0.2
BuildRequires:  jakarta-commons-digester-javadoc >= 0:1.5
BuildRequires:  jakarta-commons-beanutils-javadoc >= 0:1.6.1

%description    javadoc
%{summary}.


%prep
%setup -q -n %{base_name}-%{version}-alpha-1
%patch0 -p0
%patch1 -p0


%build
export CLASSPATH=$(build-classpath jakarta-commons-logging-api \
jakarta-commons-logging jakarta-commons-digester jakarta-commons-collections \
jakarta-commons-beanutils junit)
ant \
  -Dnoget=true \
  -Dbuild.sysclasspath=first \
  -Dj2se.javadoc=%{_javadocdir}/java \
  -Dcollections.javadoc=%{_javadocdir}/jakarta-commons-collections \
  -Dlogging.javadoc=%{_javadocdir}/jakarta-commons-logging \
  -Ddigester.javadoc=%{_javadocdir}/jakarta-commons-digester \
  -Dbeanutils.javadoc=%{_javadocdir}/jakarta-commons-beanutils \
  test dist


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 target/%{base_name}-%{version}-alpha-1.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}-%{version}.jar
ln -s %{base_name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}.jar
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%doc LICENSE.txt RELEASE-NOTES.txt
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Sun Oct 12 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.alpha1.1jpp
- First build.
